lspci(8)

NAME
lspci - list all PCI devices

SYNOPSIS
lspci [options]

DESCRIPTION
lspci is a utility for displaying information about all PCI busses in the system and all devices connected to them. It requires Linux kernel 2.1.82 or newer and supersedes the original /proc/pci interface found in earlier kernels. If you are going to report bugs in PCI device drivers or in lspci itself, please include output of "lspci -vvx".

OPTIONS

-v  Tells lspci to be verbose and display detailed information about all devices.

-vv Tells lspci to be very verbose and display even more information (actually everything the PCI device is able to tell). The exact meaning of these data is not explained in this manual page, if you want to know more, consult /usr/include/linux/pci.h or the PCI specs.

-n  Show PCI vendor and device codes as numbers instead of looking them up in the PCI ID database.

-x  Show hexadecimal dump of first 64 bytes of the PCI configuration space (the standard header). Useful for debugging of drivers and lspci itself.

-xx Show hexadecimal dump of whole PCI configuration space. Available only for root as several PCI devices crash when you try to read undefined portions of the config space (although this directly violates the PCI standard).

-b  Bus-centric view. Show all IRQ numbers and addresses as seen by the cards on the PCI bus instead of as seen by the kernel.

-t  Show a tree-like diagram containing all busses, bridges, devices and connections between them.

-s [[<bus>]:][<slot>][.[<func>]]
    Show only devices in specified bus, slot and function. Each component of the device address can be omitted or set as "*" meaning "any value". All numbers are hexadecimal. E.g., "0:" means all devices on bus 0, "0" means all functions of device 0 on any bus, "0.3" selects third function of device 0 on all busses and ".4" shows only fourth function of each device.

-d [<vendor>]:[<device>]
    Show only devices with specified vendor and device ID. Both ID's are given in hexadecimal and may be omitted or given as "*" meaning "any value".

-i <file>
    Use <file> as PCI ID database instead of /etc/pci.ids.

-p <dir>
    Use <dir> as directory containing PCI bus information instead of /proc/bus/pci.

-m  Dump PCI device data in machine readable form (both normal and verbose format supported) for easy parsing by scripts.

FILES

/etc/pci.ids
    A list of all known PCI ID's (vendors, devices, classes and subclasses).

/proc/bus/pci
    An interface to PCI bus configuration space provided by the kernel. Contains per-bus subdirectories with per-card config space files and a devices file containing a list of all PCI devices.

AUTHOR
The Linux PCI Utilities are maintained by Martin Mares <mj@atrey.karlin.mff.cuni.cz>.